# [Roots Theme](http://www.rootstheme.com/)

Roots is a starting WordPress theme made for developers that’s based on [HTML5 Boilerplate](http://html5boilerplate.com/) and [Bootstrap from Twitter](http://twitter.github.com/bootstrap/).

## Installation

* Clone the git repo - `git clone git://github.com/retlehs/roots.git` - or [download it](https://github.com/retlehs/roots/zipball/master)
* Read [Theme Activation](https://github.com/retlehs/roots/wiki/Theme-activation) to understand everything that happens once you activate Roots

## Configuration

Edit `inc/config.php` to enable support for major functionality and to define constants that are used throughout the theme.

## Features

* HTML5 Boilerplate’s markup and `.htaccess`
* Bootstrap from Twitter
* Root relative URLs
* Clean URLs (no more `/wp-content/`)
* All static theme assets are rewritten to the website root (`/css/`, `/img/`, and `/js/`)
* Cleaner HTML output of navigation menus
* Cleaner output of `wp_head` and enqueued scripts/styles
* Posts use the [hNews](http://microformats.org/wiki/hnews) microformat
* [Multilingual ready](http://www.rootstheme.com/wpml/) (English, Spanish, French, Italian, Dutch, Brazilian Portuguese, Macedonian, Finnish, Danish, Turkish, Swedish, Bulgarian, Norwegian, Catalan, Polish, Hungarian, Russian)

## Contributing

Everyone is welcome to help improve this project. There are several ways you can contribute:

* Reporting issues (please read [issue guidelines](https://github.com/necolas/issue-guidelines))
* Suggesting new features
* Writing or editing [docs](https://github.com/retlehs/roots/wiki)
* Writing or refactoring code
* Fixing [issues](https://github.com/retlehs/roots/issues)
* Replying to questions on the [mailing list](http://groups.google.com/group/roots-theme)
* [Donating](https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=4K7D3BCQZ4Z72&lc=US&item_name=Roots%20Theme&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donate_SM%2egif%3aNonHosted)

## Project information

* Source: [https://github.com/retlehs/roots](https://github.com/retlehs/roots)
* Web: [http://www.rootstheme.com/](http://www.rootstheme.com/)
* Docs: [https://github.com/retlehs/roots/wiki](https://github.com/retlehs/roots/wiki)
* Mailing list: [http://groups.google.com/group/roots-theme](http://groups.google.com/group/roots-theme)
* Twitter: [@retlehs](https://twitter.com/#!/retlehs)
* Contributors: [https://github.com/retlehs/roots/contributors](https://github.com/retlehs/roots/contributors)

## License

### Major components:

* HTML5 Boilerplate: The Unlicense
* Modernizr: MIT/BSD license
* jQuery: MIT/GPL license
* Normalize.css: Public Domain
* Bootstrap: Apache 2.0 license

### Everything else:

The Unlicense (aka: public domain)